:root {
  --background-color: #ffffff;
  --border-color: #dfe2e6;
  --primary-button-enabled-color: dodgerblue;
  --primary-button-hover-color: deepskyblue;
  --secondary-button-enabled-color: #ffffff;
  --secondary-button-hover-color: #f1f1ef;
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  font-family: "Noto Sans KR", sans-serif;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
  margin: 0;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

html {
  min-height: 100vh;
}

main {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
}

header {
  height: 160px;
  width: 100%;
  border-bottom: 1px solid var(--border-color);
}

nav {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  align-items: center;
}

h1 {
  font-size: 2rem;
  font-weight: 600;
}

h3 {
  font-size: 1rem;
  font-weight: 500;
}

header[data-component="header"] {
  width: 100%;
  background-color: var(--background-color);
}

article[data-component="page"] {
  width: 100%;
  background-color: var(--background-color);
  overflow: auto;
}

footer[data-component="footer"] {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 80px;
  background-color: var(--background-color);
  border-top: 1px solid var(--border-color);

  font-size: 0.9rem;
  font-weight: 300;
  color: lightslategray;
}

div[data-component="header--title__container"] {
  display: flex;
  align-items: center;
  height: 40%;
}

.button__container {
  display: flex;
  background-color: var(--background-color);
  margin: 10px 10px;
}

.icon__logo {
  width: 2.5rem;
  height: 2.5rem;
  margin-top: 0.5rem;
  margin-right: 0.25rem;
}

section[data-component="page__container"] {
  display: flex;
  box-sizing: border-box;
  flex-direction: column;
  padding: 2rem 4rem;
  align-items: center;
  height: 100%;
  width: 100%;
}

footer {
  height: 10%;
  margin-top: auto;
}

button {
  height: 2.5rem;
  width: 5rem;
  font-size: 1rem;
  margin: 0 0.2rem;

  background-color: var(--secondary-button-enabled-color);
  border: 0.5px solid var(--background-color);
  border-radius: 0.2rem;
}

button:hover {
  background-color: var(--secondary-button-hover-color);
  cursor: pointer;
}

.popup--background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);

  opacity: 0;
  z-index: -1;
  transition: all 0.3s;
}

.popup--container {
  position: relative;
  width: 100%;
  height: 100%;
}

.popup--body {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -60%);
  width: 20rem;
  border-radius: 0.2rem;
  padding: 1rem;
  background-color: #ffffff;

  box-shadow: 0 2px 7px rgba(0, 0, 0, 0.3);
  transition: all 0.3s;
}

.active .popup--container .popup--body {
  transform: translate(-50%, -70%);
  transition: all 0.4s;
}

.popup--input--container {
  display: flex;
  flex-direction: column;
  padding: 2rem 0.5rem;
}

div[data-component="popup--title"] {
  width: 100%;
}

div[data-component="popup--input"] {
  width: 100%;
}

.popup--button--container {
  display: flex;
  justify-content: flex-end;
}

.popup--input--field {
  width: 100%;
  margin-top: 0.5rem;
  margin-bottom: 1rem;
  padding: 0.5rem;
  box-sizing: border-box;
}

button {
  font-weight: 600;
}

.button__confirm {
  color: var(--background-color);
  background-color: var(--primary-button-enabled-color);
  transition: all 0.3s;
}

.button__confirm:hover {
  background-color: var(--primary-button-hover-color);
}

.block__container {
  background-color: var(--background-color);
  display: flex;
  flex-direction: column;
  width: 60%;
  padding: 1rem;
  margin-bottom: 0.5rem;

  border-radius: 0.2rem;
  z-index: 10;
}

.block__container:hover {
  cursor: pointer;
  z-index: 8;
}

.block__header {
  display: flex;
  position: relative;
  justify-content: space-between;
  font-weight: 500;
  height: 1.5rem;
  width: 100%;
  padding-bottom: 1rem;
}

.block__header__container {
  position: absolute;
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
}

.block__header__title {
  width: 100%;
}

.block__header__icon {
  display: flex;
  position: absolute;
  justify-content: flex-end;
  width: 100%;
}

.block__body {
  line-height: 1.7rem;
  min-height: 30px;
  width: 100%;
}

.block__body--video {
  position: relative;
  width: 100%;
  padding-bottom: 56.25%;
}

iframe {
  position: absolute;
  width: 100%;
  height: 100%;
}

.material-symbols-outlined {
  position: absolute;
  margin-left: auto;
}

.material-symbols-outlined:hover {
  border-radius: 0.2rem;
  background-color: var(--secondary-button-hover-color);
}

.active {
  opacity: 1;
  z-index: 100;
  transition: all 0.4s;
}

img {
  width: 100%;
}

.mute-children * {
  pointer-events: none;
}

.lifted {
  animation: drag_start 250ms;
  opacity: 0.2;
}

@keyframes drag_start {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0.2;
  }
}

.drop-area {
  border: 2px solid var(--primary-button-hover-color);
}
